Account _search

post/Account/_search
Page View

This resource tracks financial accounts and transactions for patients, including billing information, financial responsibility, and account status. Each account entry contains details about charges, coverage, and the responsible party.

You can review or retrieve account information with FHIR® passthrough.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

_search

Query for account information for a patient.

Flexible FHIR queries, different query parameters

FHIR® queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a searchset bundle type. Learn about bundles and bundle types in our FHIR® glossary.

We only note which query parameters are required if you’re querying a FHIR® server directly. Remember that Redox (i.e., data on demand) isn’t a FHIR® server, and your connection may not be either.

Query parameters will vary between sites. Work with your connection to find out which query parameters they require for a successful search.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Account/_search' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'patient=string' \
6
--data-urlencode 'patient.identifier=string' \
7
--data-urlencode 'identifier=string' \
8
--data-urlencode 'status=string' \
9
--data-urlencode 'type=string' \
10
--data-urlencode 'owner=string'

Request Body Schema

  • patient
    Array of string

    The entity that caused the expenses (the patient).

  • patient.identifier
    Array of string

    One or more external identifiers for the patient

  • identifier
    Array of string

    Account number

  • status
    Array of string

    active | inactive | entered-in-error | on-hold | unknown

  • type
    Array of string

    E.g. patient, expense, depreciation

  • owner
    Array of string

    Entity managing the Account

Response fields and example

Example payload generated from schema
1
{
2
"resourceType": "Bundle",
3
"type": "searchset",
4
"total": 1,
5
"entry": [
6
{
7
"resource": {
8
"resourceType": "Account",
9
"id": "RedoxAccountExample",
10
"status": "active",
11
"type": {
12
"coding": [
13
{
14
"code": "PBILLACCT",
15
"display": "Patient Billing Account"
16
}
17
]
18
},
19
"name": "Redox Account Example",
20
"subject": [
21
{
22
"reference": "Patient/RedoxPatientExampleTimothy"
23
}
24
],
25
"guarantor": [
26
{
27
"party": {
28
"reference": "RelatedPerson/RedoxRelatedPersonExample"
29
}
30
}
31
],
32
"identifier": [
33
{
34
"value": "acct12345",
35
"system": "urn:redox:accountNumber"
36
}
37
]
38
},
39
"search": {
40
"mode": "match"
41
}
42
}
43
]
44
}

    Response to an Account search operation

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a response to a search

    Value: searchset
  • total
    required, number

    The total number of matches

  • entry
    Array of Account or Other

    A resource matching the search criteria or related to a matching resource

    • resource
      required, object

      Financial-related account information for a patient.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: Account
      • status
        required, string

        Indicates whether the account is presently used/usable or not.

        Possible Values: active, inactive, entered-in-error, on-hold, unknown
      • id
        string

        The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

      • subject
        Array of object

        Identifies the entity which incurs the expenses. While the immediate recipients of services or goods might be entities related to the subject, the expenses were ultimately incurred by the subject of the Account.

        Must reference one of the following types of resources:

        • Patient
        • Device
        • Practitioner
        • PractitionerRole
        • Location
        • HealthcareService
        • Organization
        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • guarantor
        Array of object

        The parties responsible for balancing the account if other payment options fall short.

        • party
          required, object

          The entity who is responsible.

          Must reference one of the following types of resources:

          • Patient
          • RelatedPerson
          • Organization
          • reference
            string

            A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

        • extension
          Array of guarantorType or Other

          May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

          • url
            required, string

            Source of the definition for the extension code - a logical name or a URL.

            Value: https://fhir.redoxengine.com/StructureDefinition/account-guarantor-type
          • valueCodeableConcept
            object

            Value of extension - must be one of a constrained set of the data types (see Extensibility for a list).

            • text
              string

              A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • search
      required, object

      Information about the search process that lead to the creation of this entry.

      • mode
        required, string

        Identifies the Account as matching the search parameters

        Value: match

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.